OpenTTD Source: AirportTileResolverObject Struct Reference

OpenTTD Source 12.2

Public Member Functions | Data Fields
AirportTileResolverObject Struct Reference

Resolver for tiles of an airport. More...

`#include <newgrf_airporttiles.h>`

Inheritance diagram for AirportTileResolverObject:

## Public Member Functions
| AirportTileResolverObject (const AirportTileSpec *ats, TileIndex tile, Station *st, CallbackID callback=CBID_NO_CALLBACK, uint32 callback_param1=0, uint32 callback_param2=0)
| Constructor of the resolver for airport tiles. More...
ScopeResolver * | GetScope (VarSpriteGroupScope scope=VSG_SCOPE_SELF, byte relative=0) override
| Get a resolver for the scope. More...
GrfSpecFeature | GetFeature () const override
| Get the feature number being resolved for. More...
uint32 | GetDebugID () const override
| Get an identifier for the item being resolved. More...
Public Member Functions inherited from ResolverObject
| ResolverObject (const GRFFile *grffile, CallbackID callback=CBID_NO_CALLBACK, uint32 callback_param1=0, uint32 callback_param2=0)
| Resolver constructor. More...
const SpriteGroup * | Resolve ()
| Resolve SpriteGroup. More...
uint16 | ResolveCallback ()
| Resolve callback. More...
virtual const SpriteGroup * | ResolveReal (const RealSpriteGroup *group) const
| Get the real sprites of the grf. More...
uint32 | GetRemainingTriggers () const
| Returns the waiting triggers that did not trigger any rerandomisation.
uint32 | GetReseedSum () const
| Returns the OR-sum of all bits that need reseeding independent of the scope they were accessed with. More...
void | ResetState ()
| Resets the dynamic state of the resolver object. More...

## Data Fields
AirportTileScopeResolver | tiles_scope
| Scope resolver for the tiles.
Data Fields inherited from ResolverObject
ScopeResolver | default_scope
| Default implementation of the grf scope.
CallbackID | callback
| Callback being resolved.
uint32 | callback_param1
| First parameter (var 10) of the callback.
uint32 | callback_param2
| Second parameter (var 18) of the callback.
uint32 | last_value
| Result of most recent DeterministicSpriteGroup (including procedure calls)
uint32 | waiting_triggers
| Waiting triggers to be used by any rerandomisation. (scope independent)
uint32 | used_triggers
| Subset of cur_triggers, which actually triggered some rerandomisation. (scope independent)
uint32 | reseed [VSG_END]
| Collects bits to rerandomise while triggering triggers.
const GRFFile * | grffile
| GRFFile the resolved SpriteGroup belongs to.
const SpriteGroup * | root_spritegroup
| Root SpriteGroup to use for resolving.

## Detailed Description

Resolver for tiles of an airport.

Definition at line 45 of file newgrf_airporttiles.h.

## Constructor & Destructor Documentation

## ◆ AirportTileResolverObject()

AirportTileResolverObject::AirportTileResolverObject | ( | const AirportTileSpec * | ats,
|  | TileIndex | tile,
|  | Station * | st,
|  | CallbackID | callback = `CBID_NO_CALLBACK`,
|  | uint32 | callback_param1 = `0`,
|  | uint32 | callback_param2 = `0`
| ) |  |

Constructor of the resolver for airport tiles.

Parameters

  ats | Specification of the airport tiles.
  tile | Tile for the callback, only valid for airporttile callbacks.
  st | Station of the airport for which the callback is run, or `nullptr` for build gui.
  callback | Callback ID.
  callback_param1 | First parameter (var 10) of the callback.
  callback_param2 | Second parameter (var 18) of the callback.

Definition at line 216 of file newgrf_airporttiles.cpp.

References AirportTileSpec::grf_prop, ResolverObject::root_spritegroup, and GRFFilePropsBase< Tcnt >::spritegroup.

## Member Function Documentation

## ◆ GetDebugID()

uint32 AirportTileResolverObject::GetDebugID | ( |  | ) | const
| overridevirtual

Get an identifier for the item being resolved.

This function is mainly intended for the callback profiling feature, and should return an identifier recognisable by the NewGRF developer.

Reimplemented from ResolverObject.

Definition at line 228 of file newgrf_airporttiles.cpp.

References AirportTileSpec::grf_prop, GRFFilePropsBase< Tcnt >::local_id, and tiles_scope.

## ◆ GetFeature()

GrfSpecFeature AirportTileResolverObject::GetFeature | ( |  | ) | const
| overridevirtual

Get the feature number being resolved for.

This function is mainly intended for the callback profiling feature.

Reimplemented from ResolverObject.

Definition at line 223 of file newgrf_airporttiles.cpp.

## ◆ GetScope()

ScopeResolver* AirportTileResolverObject::GetScope | ( | VarSpriteGroupScope | scope = `VSG_SCOPE_SELF`,
|  | byte | relative = `0`
| ) |  |
| inlineoverridevirtual

Get a resolver for the scope.

Parameters

  scope | Scope to return.
  relative | Additional parameter for VSG_SCOPE_RELATIVE.

Returns
  The resolver for the requested scope.

Reimplemented from ResolverObject.

Definition at line 51 of file newgrf_airporttiles.h.

References ResolverObject::GetScope(), tiles_scope, and VSG_SCOPE_SELF.

Referenced by NIHAirportTile::Resolve().

The documentation for this struct was generated from the following files:

- src/newgrf_airporttiles.h
- src/newgrf_airporttiles.cpp